petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSundialsSetGramSchmidtType

Sets type of orthogonalization used in GMRES method by SUNDIALS linear solver.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSundialsSetGramSchmidtType(TS ts,TSSundialsGramSchmidtType type)

Logically Collective on TS Many br

### Input parameters

| ts | - the time-step context Many br
| type | - either SUNDIALS_MODIFIED_GS or SUNDIALS_CLASSICAL_GS Many br

Many br

### Keywords

Sundials, orthogonalization

### See Also

TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetMaxl(),
TSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), Many brTSSundialsGetIterations(), TSSundialsSetType(), Many brTSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC(), Many brTSSetExactFinalTime() Many br

Level:advanced
Location:src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages